OGRE: Ogre::CompositorLogic Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions

# Ogre::CompositorLogic Class Reference
[Effects]

Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically. More...

`#include <OgreCompositorLogic.h>`

List of all members.

## Public Member Functions
virtual void | compositorInstanceCreated (CompositorInstance *newInstance)
| Called when a compositor instance has been created.
virtual void | compositorInstanceDestroyed (CompositorInstance *destroyedInstance)
| Called when a compositor instance has been destroyed.
## Protected Member Functions
virtual | ~CompositorLogic ()

## Detailed Description

Interface for compositor logics, which can be automatically binded to compositors, allowing per-compositor logic (such as attaching a relevant listener) to happen automatically.

Remarks:
  All methods have empty implementations to not force an implementer into extending all of them.

Definition at line 46 of file OgreCompositorLogic.h.

## Constructor & Destructor Documentation

virtual Ogre::CompositorLogic::~CompositorLogic | ( |  | ) | `[protected, virtual]`

Definition at line 63 of file OgreCompositorLogic.h.

## Member Function Documentation

virtual void Ogre::CompositorLogic::compositorInstanceCreated | ( | CompositorInstance * | newInstance | ) | `[virtual]`

Called when a compositor instance has been created.

Remarks:
  This happens after its setup was finished, so the chain is also accessible. This is an ideal method to automatically attach a compositor listener.

Definition at line 54 of file OgreCompositorLogic.h.

virtual void Ogre::CompositorLogic::compositorInstanceDestroyed | ( | CompositorInstance * | destroyedInstance | ) | `[virtual]`

Called when a compositor instance has been destroyed.

Remarks:
  The chain that contained the compositor is still alive during this call.

Definition at line 60 of file OgreCompositorLogic.h.

The documentation for this class was generated from the following file:

- OgreCompositorLogic.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54